/**
 * config.production.js
 * This file contains the initialization of the configuration.
 */
'use strict';
const path = require('path');
const { logger } = require('./utils/logger.js');

var config = {
  app: {
    port: process.env.PORT || 8080
  },
  graphql: {
    graphiqlEnabled: process.env.GraphqlGraphiqlEnabled ? (process.env.GraphqlGraphiqlEnabled === 'Y') : true,
    mocksEnabled: false,
    debugEnabled: process.env.GraphqlDebugEnabled ? (process.env.GraphqlDebugEnabled === 'Y') : false,
  },
  workflowService: {
    debugEnabled: process.env.GraphqlDebugEnabled ? (process.env.GraphqlDebugEnabled === 'Y') : false,
    configFilePath: path.normalize(__dirname + '/../web.config'),
    serviceAssemblyFilePath: path.normalize(__dirname + '/../bin/Advantys.workflow.dll'),
    logHandler: (text) => logger('DEBUG',text),
    maxPageSize: process.env.GraphqlMaxPageSize ? parseInt(process.env.GraphqlMaxPageSize) : 100,
    maxBatchSize: process.env.GraphqlMaxBatchSize ? parseInt(process.env.GraphqlMaxBatchSize) : 1000,
    defaultPageSize: process.env.GraphqlDefaultPageSize ? parseInt(process.env.GraphqlDefaultPageSize) : 30,
    defaultPageNumber: process.env.GraphqlDefaultPageNumber ? parseInt(process.env.GraphqlDefaultPageNumber) : 1
  },
  loaders: {
    cacheEnabled: process.env.GraphqlLoadersCacheEnabled ? (process.env.GraphqlLoadersCacheEnabled === 'Y') : true,
    batchEnabled: process.env.GraphqlLoadersBatchEnabled ? (process.env.GraphqlLoadersBatchEnabled === 'Y') : true
  }
};

module.exports = config;
