/**
 * config.production.js
 * This file contains the initialization of the configuration.
 */
'use strict';
const path = require('path');
const { logger } = require('./utils/logger.js');

var config = {
  app: {
    port: process.env.PORT || 8080
  },
  hooks: {
    debugEnabled: process.env.HooksDebugEnabled ? (process.env.HooksDebugEnabled === 'Y') : false,
    operations: [
      'createRequest',
      'cancelRequest',
      'updateRequestDataset',
      'completeAction',
      'cancelAction',
      'cancelActionAssignment',
      'assignAction'
    ]
  },
  workflowService: {
    debugEnabled: process.env.HooksDebugEnabled ? (process.env.HooksDebugEnabled === 'Y') : false,
    configFilePath: path.normalize(__dirname + '/../web.config'),
    serviceAssemblyFilePath: path.normalize(__dirname + '/../bin/Advantys.workflow.dll'),
    logHandler: (text) => logger('DEBUG', text)
  }
};

module.exports = config;
